%global _empty_manifest_terminate_build 0
Name:		python-icdiff
Version:	2.0.7
Release:	1
Summary:	Dictdiffer is a helper module that helps you to diff and patch dictionaries.
License:	PSF-2.0
URL:		http://www.jefftk.com/icdiff
Source0:	https://files.pythonhosted.org/packages/fa/e4/43341832be5f2bcae71eb3ef08a07aaef9b74f74fe0b3675f62bd12057fe/icdiff-2.0.7.tar.gz
BuildArch:	noarch

%description
Dictdiffer is a helper module that helps you to diff and patch dictionaries.

%package -n python3-icdiff
Summary:	improved colored diff
Provides:	python-icdiff
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-icdiff
Dictdiffer is a helper module that helps you to diff and patch dictionaries.

%package help
Summary:	Development documents and examples for icdiff
Provides:	python3-icdiff-doc
%description help
Dictdiffer is a helper module that helps you to diff and patch dictionaries.

%prep
%autosetup -n icdiff-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-icdiff -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Feb 20 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 2.0.7-1
- Update package to version 2.0.7

* Wed Feb 8 2023 wubijie <wubijie@kylinos.cn> - 2.0.6-1
- Update package to version 2.0.6

* Mon Aug 01 2022 liqiuyu <liqiuyu@kylinos.cn> - 2.0.5-1
- update to 2.0.5

* Thu Aug 26 2021 orange-snn<songnannan2@huawei.com> - 2.0.4-1
- Package init
